/**
 * \file  Simple_report.java
 * information: this class implements logic from Simple_report.4gl (Informix 4GL)
 * 
 * 
 * created: 15/May/2012
 * (c) 2012 Ispirer Systems
 *
 * \author  Alexei Savchik
 */

import java.util.*;
import java.sql.*;
import Report.ReportHelpers;
public class Simple_report
{
   public Simple_report()throws SQLException,Exception
   {
	      try
	      {
	            ReportHelpers.Start("sample_rpt","sample.out");
	            sample_rpt("report message");
	            ReportHelpers.Finish("sample_rpt");
	      }
	      catch(Exception Exc)
	      {
	         Exc.printStackTrace();
	         throw Exc;
	      }
	      finally
	      {
	      }
   }
   
   
   public void sample_rpt(String l_string) throws SQLException,Exception
   {
      try
      {
	 ReportHelpers.Print("sample_rpt",l_string);
      }
      catch(Exception Exc)
      {
         Exc.printStackTrace();
         throw Exc;
      }
      finally
      {
      }
   }
}
